%define major   1
%define libname %mklibname %{name} %{major}
%define devname %mklibname %{name} -d

Name:           vkd3d
Version:        1.2
Release:        %mkrel 2
Summary:        D3D12 to Vulkan translation library
Group:          System/Libraries
License:        LGPLv2+
URL:            https://source.winehq.org/git/vkd3d.git
Source0:        https://dl.winehq.org/vkd3d/source/%{name}-%{version}.tar.xz
Source1:        https://dl.winehq.org/vkd3d/source/%{name}-%{version}.tar.xz.sign

BuildRequires:	pkgconfig(SPIRV-Tools)
BuildRequires:	pkgconfig(vulkan)
BuildRequires:	pkgconfig(xcb)
BuildRequires:	pkgconfig(xcb-keysyms)
BuildRequires:	pkgconfig(xcb-icccm)
BuildRequires:	pkgconfig(xcb-util)
BuildRequires:	spirv-headers

%description
The vkd3d project includes libraries, shaders, utilities, and demos for
translating D3D12 to Vulkan.

%package -n %{libname}
Summary:        D3D12 to Vulkan translation library
Group:          System/Libraries
Obsoletes:      %{_lib}vkd3d-utils1 < 1.2-1

%description -n %{libname}
Vkd3d is a 3D graphics library built on top of Vulkan. It has an API very
similar, but not identical, to Direct3D 12.

Vkd3d can be used by projects that target Direct3D 12 as a drop-in replacement
at build-time with some modest source modifications.

%package -n %{devname}
Summary:        Development files for vkd3d
Group:          Development/C
Requires:       %{libname} = %{version}-%{release}
Provides:       %{name}-devel = %{version}-%{release}
Obsoletes:      %{_lib}vkd3d-utils-devel < 1.2-1

%description -n %{devname}
Development files for applications using vkd3d.

%prep
%autosetup -p1

%build
%configure \
    --disable-static \
    --with-spirv-tools \
    --with-xcb
%make_build

%install
%make_install

# Remove libtool files
find %{buildroot} -name "*.la" -delete

%files -n %{libname}
%doc AUTHORS README
%license COPYING LICENSE
%{_libdir}/lib%{name}.so.%{major}{,.*}
%{_libdir}/lib%{name}-shader.so.%{major}{,.*}
%{_libdir}/lib%{name}-utils.so.%{major}{,.*}

%files -n %{devname}
%{_bindir}/%{name}-compiler
%{_includedir}/%{name}/
%{_libdir}/lib%{name}.so
%{_libdir}/lib%{name}-shader.so
%{_libdir}/lib%{name}-utils.so
%{_libdir}/pkgconfig/lib%{name}.pc
%{_libdir}/pkgconfig/lib%{name}-shader.pc
%{_libdir}/pkgconfig/lib%{name}-utils.pc


%changelog
* Mon Oct 12 2020 akien <akien> 1.2-2.mga8
+ Revision: 1633974
- Rebuild for Vulkan SDK 1.2.154.0

* Tue Sep 22 2020 akien <akien> 1.2-1.mga8
+ Revision: 1629444
- Version 1.2
- Merge different libraries in the same packages, we don't need that much granularity for now

* Mon Feb 17 2020 akien <akien> 1.1-5.mga8
+ Revision: 1536929
- Rebuild for spirv-tools and Vulkan SDK 1.2.131.2

* Sun Feb 16 2020 umeabot <umeabot> 1.1-4.mga8
+ Revision: 1533963
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Wed Sep 25 2019 akien <akien> 1.1-3.mga8
+ Revision: 1445843
- Rebuild for spirv-tools and Vulkan SDK 1.1.121.0

* Tue Dec 11 2018 akien <akien> 1.1-2.mga7
+ Revision: 1340228
- Rebuild to pick updated spirv-tools on armv7hl

* Tue Dec 11 2018 akien <akien> 1.1-1.mga7
+ Revision: 1340212
- imported package vkd3d

